const utils = require('../../utils.js');
const express = require('express');
const auth = require('../utils/auth_utils');

const router = express.Router();

router.post('/login', function(req, res, next) {
    const data = req.body;
    if (data.username === (utils.env.USER_LOGIN_NAME || 'admin') && 
        data.password === (utils.env.USER_LOGIN_PASSWORD || 'admin') ){
        const token = auth.generateToken({
            username: data.username,
            id: -1
        })
        res.json({...utils.json.success, 
            data: token
        })
    } else {
        res.json({...utils.json.user_is_valid})
    }
});

//remote-data-processing-display
router.post('/_rdpd', function(req, res, next) {
    express.response.send = function(data) {
        res.json({...utils.json.success, 
            data: data
        })
    }
});

router.get('/admin', function(req, res, next) {
    res.send('admin');
});

module.exports = router;